Package com.pixelmed.network

## Class CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

- java.lang.Object
- - com.pixelmed.network.CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

- All Implemented Interfaces:
    `AbstractSyntaxSelectionPolicy`

      public class CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy
      extends java.lang.Object
      implements AbstractSyntaxSelectionPolicy

  Accept only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.LinkedList` | `applyAbstractSyntaxSelectionPolicy​(java.util.LinkedList presentationContexts, int associationNumber, int debugLevel)` | Accept or reject Abstract Syntaxes (SOP Classes).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

          public CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy()

  - ### Method Detail

    - #### applyAbstractSyntaxSelectionPolicy

          public java.util.LinkedList applyAbstractSyntaxSelectionPolicy​(java.util.LinkedList presentationContexts,
                                                                         int associationNumber,
                                                                         int debugLevel)

      Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes are accepted. Should be called before Transfer Syntax selection is performed.
      Specified by:
        `applyAbstractSyntaxSelectionPolicy` in interface `AbstractSyntaxSelectionPolicy`
      Parameters:
        `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
        `associationNumber` - for debugging messages
        `debugLevel` -
      Returns:
        the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"